POST ForeignApp/{applicationName}/{deviceName}/{deviceIdentifier}/Key
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/ForeignApp/{applicationName}/{deviceName}/{deviceIdentifier}/Key
Add a new key belonging to the ForeignApp and ForeignDevice specified.
| Path Part | Type | Description |
|---|---|---|
| applicationName | string | The name of the foreign application. Required |
| deviceName | string | The name of the foreign device. Required |
| deviceIdentifier | string | The device identifier. Optional if device identifier is not used. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: foreignKey
Foreign key to save
| Property Name | Type | Description |
|---|---|---|
| Key | String | Subkey (optional) |
| Value | String | Key value |
| RecordId | Integer | Record in the referenced table |
| CreatedDate | String | Registered when in UTC. |
| UpdatedDate | String | Last updated when in UTC. |
| UpdatedBy | String | Name of the person that last updated the foreign key |
| CreatedBy | String | Name of the person that created the foreign key |
| TableName | String | Table name, transformed to and from numeric table id by the service layer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ForeignKey
| Property Name | Type | Description |
|---|---|---|
| Key | string | Subkey (optional) |
| Value | string | Key value |
| RecordId | int32 | Record in the referenced table |
| CreatedDate | date-time | Registered when in UTC. |
| UpdatedDate | date-time | Last updated when in UTC. |
| UpdatedBy | string | Name of the person that last updated the foreign key |
| CreatedBy | string | Name of the person that created the foreign key |
| TableName | string | Table name, transformed to and from numeric table id by the service layer |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/ForeignApp/{applicationName}/{deviceName}/{deviceIdentifier}/Key
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"Key": "qui",
"Value": "in",
"RecordId": 208,
"CreatedDate": "2002-08-06T14:34:02.0230751+02:00",
"UpdatedDate": "2012-08-19T14:34:02.0230751+02:00",
"UpdatedBy": "pariatur",
"CreatedBy": "blanditiis",
"TableName": "Cormier-Gutmann"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Key": "doloribus",
"Value": "voluptate",
"RecordId": 235,
"CreatedDate": "2023-03-28T14:34:02.0250857+02:00",
"UpdatedDate": "2004-07-01T14:34:02.0250857+02:00",
"UpdatedBy": "reprehenderit",
"CreatedBy": "nam",
"TableName": "Kshlerin, Dooley and Lueilwitz",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 501
}
}
}